# Mathematics

Welcome to the mathematics page. Some special mathematical environments that will be used in this section are listed and explained below.

* *Principles*: a fundamental rule or concept in mathematics serving as a basis for reasoning.
* *Definitions* : a precise and unambiguous description of the meaning of a mathematical term. It characterizes the meaning of a word by giving all the properties and only those properties that must be true.
* *Theorems* : a mathematical statement that is proved to be true using rigorous mathematical reasoning. In a mathematical text, the term theorem is often reserved for the most important results.
* *Propositions* : an often interesting result, but generally less important than a theorem.
* *Lemmas* : a minor result whose purpose is to help in proving a theorem. It is a stepping stone on the path to proving a theorem.
* *Corollaries* : a result in which the proof relies heavily on a given theorem.
* *Proofs* : a convincing argument that a certain mathematical statement is necessarily true. A proof
generally uses deductive reasoning and logic but also contains some amount of ordinary language.
* *Algorithms* : recipes to do calculations.

The mathematics sections of this wiki are based on various books and lectures. A comprehensive list of references can be found below.

* The definitions of the special mathematical environments on this page and the sections of logic, set-theory and number-theory are based on the lectures and lecture notes of Hans Cuypers. 
* The section of calculus is based on the lectures of Luc Habets and the book Calculus by Robert Adams.
* The sections of linear algebra and complex numbers in number theory are based on the lectures and lecture notes of Rik Kaasschieter and the book Linear Algebra by Steven Leon.
* The sections of multivariable calculus and ordinary differential equations are based on the lectures and lecture notes of Georg Prokert and the book Calculus by Robert Adams.
