# Implicit equations

*Theorem*: for $D \subseteq \mathbb{R}^n$ ($n=2$ for simplicty), let $f: D \to \mathbb{R}$ be continuously differentiable and $\mathbf{a} \in D$.  Assume

* $f(\mathbf{a}) = 0$, 
* $\partial_2 f(\mathbf{a}) \neq 0$, nondegeneracy. 

then there exists an $I$ around $a_1$ and an $J$ around $a_2$ such that $\phi: I \to J$ is differentiable and 

$$
    \forall x \in I, y \in J: f(x,y) = 0 \iff y = \phi(x).
$$

Now calculating $\phi' (x)$ with the chain rule

$$
\begin{align*}
    f\big(x,\phi(x)\big) &= 0, \\
    \partial_1 f\big(x,\phi(x)\big) + \partial_2 f\big(x,\phi(x)\big) \phi' (x) &= 0,
\end{align*}
$$

and we obtain

$$
    \phi' (x) = - \frac{\partial_1 f\big(x,\phi(x)\big)}{\partial_2 f\big(x,\phi(x)\big)}.
$$

??? note "*Proof*:"

    Will be added later.

## General case

*Theorem*: Let $\mathbf{F}: \mathbb{R}^{n+m} \to \mathbb{R}^m$ given by $F(\mathbf{x},\mathbf{y}) = \mathbf{0}$ with $\mathbf{x} \in \mathbb{R}^n$ and $\mathbf{y} \in \mathbb{R}^m$. Suppose $\mathbf{F}$ is continuously differentiable and assume $D_2 \mathbf{F}(\mathbf{x},\mathbf{y}) \in \mathbb{R}^{m \times m}$ is nonsingular. Then there exists in neighbourhoods $I$ of $\mathbf{x}$ and $J$ of $\mathbf{y}$ with $I \subseteq \mathbb{R}^n,\; J \subseteq \mathbb{R}^m$, such that $\mathbf{\phi}: I \to J$ is differentiable and 

$$
    \forall (\mathbf{x},\mathbf{y}) \in I \times J: \mathbf{F}(\mathbf{x},\mathbf{y}) = \mathbf{0} \iff \mathbf{y} = \mathbf{\phi}(\mathbf{x}).
$$

Now calculating $D \mathbf{\phi}(\mathbf{x})$ with the generalized chain rule

$$
\begin{align*}
    \mathbf{F}\big(\mathbf{x},\mathbf{\phi}(\mathbf{x})\big) &= \mathbf{0}, \\
    D_1 \mathbf{F}\big(\mathbf{x},\mathbf{\phi}(\mathbf{x})\big) + D_2 \mathbf{F}\big(\mathbf{x},\mathbf{\phi}(\mathbf{x})\big) D \mathbf{\phi}(\mathbf{x}) &= \mathbf{0}, \\
\end{align*}
$$

and we obtain

$$
    D \mathbf{\phi}(\mathbf{x}) = - \Big(D_2 \mathbf{F}\big(\mathbf{x},\mathbf{\phi}(\mathbf{x})\big) \Big)^{-1} D_1 \mathbf{F}\big(\mathbf{x},\mathbf{\phi}(\mathbf{x})\big).
$$

??? note "*Proof*:"

    Will be added later.
