# Integration

*Theorem*: for $D \subseteq \mathbb{R}^n$ ($n=2$ for simplicity) with $D = X \times Y$, let $f: D \to \mathbb{R}$ then we have

$$
    \iint_D f = \int_X \Big(\int_Y f(x,y)dy \Big)dx = \int_Y \Big(\int_X f(x,y)dx \Big)dy
$$

implying that order can be interchanged, this is true for $n \in \mathbb{N}$. 

??? note "*Proof*:"

    Will be added later.

## Iteration of integrals

*Theorem*: for $D \subseteq \mathbb{R}^n$ ($n=2$ for simplicity) bounded and piecewise smooth boundary, let $f: D \to \mathbb{R}$ be bounded and continuous. Let $R$ be a rectangle with $D \subseteq R$ then

$$
    \iint_D f dA = \iint_R F dA, \qquad \text{where } F(\mathbf{x}) = \begin{cases} F(\mathbf{x}) \quad &\mathbf{x} \in D, \\ 0 \quad &\mathbf{x} \notin D. \end{cases}
$$

??? note "*Proof*:"

    Will be added later.

## Coordinate transformation for integrals

*Theorem*: for $D \subseteq \mathbb{R}^n$ ($n=2$ for simplicity) bounded and piecewise smooth boundary, let $f: D \to \mathbb{R}$ be bounded and continuous and let $\phi: D \to \mathbb{R}^n$ be continuously differentiable and injective, define

$$
    E := \phi(D),
$$

then we have

$$
    \iint_D f = \iint_E f \circ \phi \;\Big|\mathrm{det} \big(D_\phi \big) \Big|,
$$

with $D_\phi$ the Jacobian of $\phi$.

??? note "*Proof*:"

    Will be added later.

### Example

Let $D = \big\{(x,y) \in \mathbb{R}^2 \;\big|\; x^2 + y^2 \leq 4 \land 0 \leq y \leq x \big\}$ and let $\phi: D \to \mathbb{R}^2$ be given by

$$
    \phi(r,\theta) = \begin{pmatrix} r\cos \theta \\ r\sin \theta \end{pmatrix},
$$

define $E := \phi(D) = [0,2] \times [0, \frac{\pi}{4}]$. Then $E$ is a rectangle which can be more easily integrated.